#include "StdAfx.h"
#include "UnReadChatMessage.h"

CUnReadChatMessage::CUnReadChatMessage(void)
{

}

CUnReadChatMessage::~CUnReadChatMessage(void)
{
}

void CUnReadChatMessage::Add(int nRoomId)
{
	CAutoLock autoLock(&m_CSUnRead);
	UNREAD_IT it = m_mapUnRead.find(nRoomId);
	if(it != m_mapUnRead.end())
	{
		it->second++;
	}
	else
	{
		m_mapUnRead.insert(UNREAD_PAIR(nRoomId, m_lFirstAddCount));
	}
}

void CUnReadChatMessage::Clear(int nRoomId)
{
	CAutoLock autoLock(&m_CSUnRead);
	UNREAD_IT it = m_mapUnRead.find(nRoomId);
	if(it != m_mapUnRead.end())
	{
		m_mapUnRead.erase(it);
	}
}

LONG CUnReadChatMessage::GetCount(int nRoomId)
{
	CAutoLock autoLock(&m_CSUnRead);
	UNREAD_IT it = m_mapUnRead.find(nRoomId);
	if(it != m_mapUnRead.end())
	{
		return it->second;
	}

	return 0;
}

LONG CUnReadChatMessage::GetAllCount()
{
	int nCount = 0;
	for (UNREAD_IT it = m_mapUnRead.begin(); it != m_mapUnRead.end(); it++)
	{
		nCount += it->second;
	}

	return nCount;
}
